Get Smart Wallet
curl --request GET \
--url https://api.inprocess.world/api/smartwalletimport requests
url = "https://api.inprocess.world/api/smartwallet"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.inprocess.world/api/smartwallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "0x06a1bb8d0dccf8c7d7bad3a28352ba0a5d3a3df3"
}{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Smart Wallet
Get Smart Wallet
Get a smart wallet on the In•Process protocol. Provide either accountId (artist UUID) or walletAddress (EOA address) — at least one is required. When both are supplied, accountId takes precedence.
GET
/
smartwallet
Get Smart Wallet
Query Parameters
The UUID of the artist. When provided, resolves the artist's smart wallet via getArtistSmartAccount.
An EOA wallet address. When provided (and accountId is absent), resolves the smart wallet via getWalletSmartAccount.
Response
Successful response
Smart wallet address connected to the artist wallet